package org.apache.slide.projector.value;

import java.io.InputStream;

import org.apache.slide.projector.repository.RepositoryException;

public interface Streamable {
    public InputStream getInputStream() throws RepositoryException;

    public String getCharacterEncoding();

    int getContentLength();

    public boolean isDocument();
}